Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.visitors
Class ServiceDelegator

    java.lang.Object
      org.jboss.soa.esb.visitors.ServiceDelegator

Deprecated. Use `FragmentRouter`

    public class ServiceDelegator

extends java.lang.Object

ServiceDelegateVisitor is a Smooks visitor that delegates to a JBoss ESB service.

Sample config (smooks-res.xml) :

      <param name="service-category-name">FirstServiceESB</param>
      <param name="service-name">sendToJMSQueue</param>

This class is intended to be used as a delegator for Smooks Visitors, like a DOMVisitor or a SAXVisitor.

Author:
  Daniel Bevenius

Field Summary
`static java.lang.String` | `SERVICE_CATEGORY_NAME_ATTR` Deprecated.
`static java.lang.String` | `SERVICE_NAME_ATTR` Deprecated.

Constructor Summary
`ServiceDelegator()` Deprecated.

Method Summary
`protected ServiceInvoker` | `createServiceInvoker(java.lang.String serviceCategoryName, java.lang.String serviceName)` Deprecated.
`void` | `delegateToESBService(Message message)` Deprecated.
`Message` | `delegateToESBServiceSync(Message message, long timeout)` Deprecated.
`java.lang.String` | `getServiceCategoryName()` Deprecated.
`java.lang.String` | `getServiceName()` Deprecated.
`void` | `setConfiguration(org.milyn.cdr.SmooksResourceConfiguration config)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME_ATTR

    public static final java.lang.String SERVICE_NAME_ATTR

  Deprecated.
  See Also:
    Constant Field Values

### SERVICE_CATEGORY_NAME_ATTR

    public static final java.lang.String SERVICE_CATEGORY_NAME_ATTR

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### ServiceDelegator

    public ServiceDelegator()

  Deprecated.

Method Detail

### setConfiguration

    public void setConfiguration(org.milyn.cdr.SmooksResourceConfiguration config)
                          throws org.milyn.cdr.SmooksConfigurationException

  Deprecated.
  Throws:
    `org.milyn.cdr.SmooksConfigurationException`

### delegateToESBServiceSync

    public Message delegateToESBServiceSync(Message message,
                                            long timeout)
                                     throws FaultMessageException,
                                            MessageDeliverException,
                                            RegistryException

  Deprecated.
  Throws:
    `FaultMessageException`
    `MessageDeliverException`
    `RegistryException`

### delegateToESBService

    public void delegateToESBService(Message message)
                              throws MessageDeliverException

  Deprecated.
  Throws:
    `MessageDeliverException`

### getServiceCategoryName

    public java.lang.String getServiceCategoryName()

  Deprecated.

### getServiceName

    public java.lang.String getServiceName()

  Deprecated.

### createServiceInvoker

    protected ServiceInvoker createServiceInvoker(java.lang.String serviceCategoryName,
                                                  java.lang.String serviceName)
                                           throws MessageDeliverException

  Deprecated.
  Throws:
    `MessageDeliverException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD